ECPoint.AbstractFp (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.math.ec

## Class ECPoint.AbstractFp

- java.lang.Object
- - org.bouncycastle.math.ec.ECPoint
  - - org.bouncycastle.math.ec.ECPoint.AbstractFp

- Direct Known Subclasses:
    Curve25519Point, ECPoint.Fp, SecP128R1Point, SecP160K1Point, SecP160R1Point, SecP160R2Point, SecP192K1Point, SecP192R1Point, SecP224K1Point, SecP224R1Point, SecP256K1Point, SecP256R1Point, SecP384R1Point, SecP521R1Point
  Enclosing class:
    ECPoint

      public abstract static class ECPoint.AbstractFp
      extends ECPoint

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.math.ec.ECPoint

      `ECPoint.AbstractF2m, ECPoint.AbstractFp, ECPoint.F2m, ECPoint.Fp`

  - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.math.ec.ECPoint

      `curve, EMPTY_ZS, preCompTable, withCompression, x, y, zs`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ECPoint.AbstractFp(ECCurve curve, ECFieldElement x, ECFieldElement y)`
    `protected` | `ECPoint.AbstractFp(ECCurve curve, ECFieldElement x, ECFieldElement y, ECFieldElement[] zs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `getCompressionYTilde()`
    `protected boolean` | `satisfiesCurveEquation()`
    `ECPoint` | `subtract(ECPoint b)`

    - ### Methods inherited from class org.bouncycastle.math.ec.ECPoint

      `add, checkNormalized, createScaledPoint, detach, equals, equals, getAffineXCoord, getAffineYCoord, getCurve, getCurveCoordinateSystem, getDetachedPoint, getEncoded, getEncoded, getInitialZCoords, getRawXCoord, getRawYCoord, getRawZCoords, getX, getXCoord, getY, getYCoord, getZCoord, getZCoords, hashCode, isCompressed, isInfinity, isNormalized, isValid, multiply, negate, normalize, satisfiesCofactor, scaleX, scaleY, threeTimes, timesPow2, toString, twice, twicePlus`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ECPoint.AbstractFp

          protected ECPoint.AbstractFp(ECCurve curve,
                            ECFieldElement x,
                            ECFieldElement y)

    - #### ECPoint.AbstractFp

          protected ECPoint.AbstractFp(ECCurve curve,
                            ECFieldElement x,
                            ECFieldElement y,
                            ECFieldElement[] zs)

  - ### Method Detail

    - #### getCompressionYTilde

          protected boolean getCompressionYTilde()

      Specified by:
        `getCompressionYTilde` in class `ECPoint`

    - #### satisfiesCurveEquation

          protected boolean satisfiesCurveEquation()

      Specified by:
        `satisfiesCurveEquation` in class `ECPoint`

    - #### subtract

          public ECPoint subtract(ECPoint b)

      Specified by:
        `subtract` in class `ECPoint`